Package org.kapott.hbci.tools

## Class HBCIBatch

- java.lang.Object
- - org.kapott.hbci.tools.HBCIBatch

    public class HBCIBatch
    extends java.lang.Object

Tool zum Ausführen von HBCI-Jobs, die in einer Batch-Datei definiert werden können.

      args[0] - configfile für HBCIUtils.init() (Property-File mit Kernel-Parametern
                [siehe API-Doc zu org.kapott.hbci.manager.HBCIUtils])
        zusätzliche parameter:
          client.passport.default=
          default.hbciversion=

      args[1] - Dateiname der Antwortdatei für Callbacks
        country=
        blz=
        host=
        port=
        filter=
        userid=
        customerid=
        sizentry=
        passphrase=
        softpin=
        pin=
        tans=

      args[2] - Dateiname der Batch-Datei (jobnamen und parameter siehe
                API-Doc zu Paket org.kapott.hbci.GV)
        # kommentar

        hljobname:jobid:(props|toString)[:customerid]
        hljobparam=paramvalue
        hljobparam=<filename
        ...

        _lljobname:jobid[:customerid]
        _lljobparam=paramvalue
        _lljobparam=<filename
        ...

        --[:customerid]

      args[3] - Dateiname der Ausgabedatei (mehr dazu siehe unten)
        jobid:XXXX
        job status:
        YYYYYYYYYYY
        ZZZZZZZZZZZ
        ...
        job result:
        resultparam=value
        resultparam=value

        ...
      [args[4]] - Dateiname der Log-Datei

Alle Jobs, bei deren Ausführung ein Fehler auftritt, werden nicht in die "normale" Ausgabedatei aufgenommen. Statt dessen wird eine zweite Aus- gabedatei erzeugt, die den gleichen Namen wie die "normale" Ausgabedatei plus ein Suffix ".err" hat. In dieser Fehlerdatei wird für jeden fehler- haften Job folgende Struktur geschrieben (String in "<>" wird durch die jeweiligen werte ersetzt):

        jobid:JOBID
        global status:
        allg. fehlermeldung zur hbci-nachricht, in der der job ausgeführt werden sollte
        job status:
        fehlermeldung zu dem nachrichten-segment, in welchem der job definiert war

        ...

das ist zwar nicht besonders schön, reicht aber vielleicht erst mal (?) Alternativ dazu könnte ich anbieten, dass eine vollständige Fehlernachricht über den *kompletten* Batch-Vorgang in eine Fehlerdatei geschrieben wird, sobald *irgendein* Job nicht sauber ausgeführt wurde (das hätte den Vorteil, dass auch Fehler, die nicht direkt mit einem bestimmten Job in Verbindung stehen [z.B. Fehler bei der Dialog-Initialisierung] ordentlich geloggt werden).

### Constructor Summary

Constructors
`HBCIBatch()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIBatch

    public HBCIBatch()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`